//
//  CoffeSelectorViewController.swift
//  Desayuno
//
//  Created by Santiago Pavón Gómez on 19/9/16.
//  Copyright © 2016 UPM. All rights reserved.
//

import UIKit


// Esta pantalla usa delegacion para devolver el valor

protocol CoffeSelectorViewControllerDelegate: class {
    
    func coffeSelectorViewControllerWasCancelled(_ csvc: CoffeSelectorViewController)
    func coffeSelectorViewController(_ csvc: CoffeSelectorViewController,
                                     preferred coffe: String)
}

class CoffeSelectorViewController: UIViewController, UITextFieldDelegate  {

    
    var currentCoffe = ""
    
    weak var delegate: CoffeSelectorViewControllerDelegate!
    
    @IBOutlet weak var coffeTextField: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        coffeTextField.text = currentCoffe
        coffeTextField.delegate = self
    }

    
    // MARK: Acciones de los botones
    
    @IBAction func ok() {
        delegate.coffeSelectorViewController(self, preferred: coffeTextField.text!)
    }
    
    @IBAction func cancel() {
        delegate.coffeSelectorViewControllerWasCancelled(self)
    }
    
    // MARK: Text Field Delegate
    
    func textFieldShouldReturn(_ textField: UITextField) -> Bool {
        
        hideKeyboard()
        
        return true
    }
    
    // MARK: Eventos: al tocar el fondo se oculta el teclado
    
    @IBAction func hideKeyboard() {
        
        // Dejo de ser el primer responder, por lo que se oculta el teclado
        coffeTextField.resignFirstResponder()
    }
}
