//
//  CookieSelectorViewController.swift
//  Desayuno
//
//  Created by Santiago Pavón Gómez on 19/9/16.
//  Copyright © 2016 UPM. All rights reserved.
//

import UIKit

// Esta pantalla usa un segue unwind para devolver el valor

class CookieSelectorViewController: UIViewController, UITextFieldDelegate  {
    
    var currentCookie = ""
    
    @IBOutlet weak var cookieTextField: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        cookieTextField.text = currentCookie
        cookieTextField.delegate = self
    }

    
    // MARK: - Navigation
    
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        
        if segue.identifier == "Cookie Selected" {
            
            currentCookie = cookieTextField.text!
            
        } else if segue.identifier == "Cookie Cancelled" {
            
            // no actualizo el parametro de entrada
        }
    }
    
    // MARK: Text Field Delegate
    
    func textFieldShouldReturn(_ textField: UITextField) -> Bool {
        
        hideKeyboard()
        
        return true
    }
    
    // MARK: Eventos: al tocar el fondo se oculta el teclado
    
    @IBAction func hideKeyboard() {
        
        // Dejo de ser el primer responder, por lo que se oculta el teclado
        cookieTextField.resignFirstResponder()
    }
}
